curl --request GET \
--url https://api.pickfu.com/v1/surveys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pickfu.com/v1/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pickfu.com/v1/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pickfu.com/v1/surveys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pickfu.com/v1/surveys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pickfu.com/v1/surveys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pickfu.com/v1/surveys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"status": "<string>",
"type": "<string>",
"countryCode": "<string>",
"sampleSize": 123,
"numResponses": 123,
"createdAt": "<string>",
"publishedAt": "<string>",
"completedAt": "<string>",
"creatorName": "<string>",
"targeting": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"projects": [
{
"id": "<string>",
"name": "<string>"
}
],
"externalId": "<string>",
"template": {
"id": "<string>",
"name": "<string>"
},
"elements": [
{
"id": "<string>",
"question": "<string>",
"subtype": "<string>",
"variant": "<string>",
"position": 123
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}List surveys
Returns a paginated list of surveys with filtering and sorting options. Use query parameters to filter by status, type, country, tags, projects, and more.
curl --request GET \
--url https://api.pickfu.com/v1/surveys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pickfu.com/v1/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pickfu.com/v1/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pickfu.com/v1/surveys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pickfu.com/v1/surveys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pickfu.com/v1/surveys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pickfu.com/v1/surveys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"status": "<string>",
"type": "<string>",
"countryCode": "<string>",
"sampleSize": 123,
"numResponses": 123,
"createdAt": "<string>",
"publishedAt": "<string>",
"completedAt": "<string>",
"creatorName": "<string>",
"targeting": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"projects": [
{
"id": "<string>",
"name": "<string>"
}
],
"externalId": "<string>",
"template": {
"id": "<string>",
"name": "<string>"
},
"elements": [
{
"id": "<string>",
"question": "<string>",
"subtype": "<string>",
"variant": "<string>",
"position": 123
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}Authorizations
OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}
Query Parameters
Page number
x >= 1Results per page (1-100)
1 <= x <= 100Filter by survey status. Comma-separated values: completed, in-progress, unpublished, archived
Filter by question type. Comma-separated values: head_to_head, ranked, open_ended, click_test, etc.
Filter by option type (e.g. text, image). Comma-separated.
Filter by country codes. Comma-separated (e.g. US,GB,CA).
Filter by tag IDs — opaque identifiers (tag_<32-hex>) and/or legacy integers, mixed freely. Comma-separated.
Filter by audience IDs. Comma-separated.
Full-text search across survey names and questions
255Exact match on the optional opaque correlation key. Account-scoped. Not a text search.
1 - 255Filter by team member ID(s) — opaque identifiers (usr_<32-hex>, as returned by GET /users) and/or legacy integers, mixed freely. Comma-separated.
Filter by project GUIDs or numeric IDs. Comma-separated.
Only include surveys published after this ISO 8601 datetime
Field to sort by
createdAt, name, creator, status Sort direction
asc, desc Was this page helpful?
